Passa al contenuto principale

Delete private cloud VM

DELETE 

/api/v3/servers/:server_id/private-cloud/virtual-machines/:vm_id

Required scopes: server:write

Deletes a virtual machine of the private cloud server_id, dismissing its purchase; the operation goes on in the background as the returned Task. 404 when the virtual machine is not on the private cloud; 409 when server_id is not a private cloud, while the private cloud is not active or is suspended, or while the purchase of the virtual machine cannot be dismissed or another operation does not allow it

Request​

Responses​

Accepted: the operation goes on in the background, as the returned Task

Response Headers
    Location

    URL of the Task: /api/v3/tasks/{task_id}. Reading it requires the purchases:read scope